#
# spec file for package php5-pear-mail_mime (Version 1.3.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
#

# norootforbuild

%if %suse_version >= 1010
%define _name    php5-pear-mail_mime
%define _phpdir  php5
%define _phpbin  %{_bindir}/php5
%define _peardir PEAR
%define _pear    pear5
%else
%define _name    php4-pear-mail_mime
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear
%endif

Name:           %{_name}
%define peardir %{_datadir}/%{_phpdir}/%{_peardir}
License:        Other License(s), see package, Other uncritical OpenSource License
Group:          Productivity/Networking/Web/Servers
Version:        1.3.1
Release:        1.4
Summary:        PEAR classes to create and decode mime messages.
URL:            http://pear.php.net/package/Mail_Mime
%if %suse_version >= 1010
Requires:       php5-pear
BuildRequires:	 php5-pear
%else
Requires:       php4-pear
BuildRequires:  php4-pear
%endif
Provides:       php-pear-mail_mime
Source:         http://pear.php.net/get/Mail_Mime-%{version}.tgz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This PEAR package provides classes to deal with creation and
manipulation of mime messages.



Authors:
--------
    Thomas V.V.Cox <cox@idecnet.com>
    George Schlossnagle <george@omniti.com>
    Richard Heyes
    Cipriano Groenendal <cipri@php.net>
    Sean Coates <sean@php.net>

%debug_package
%prep
%setup -c

%build

%install
%__mv package*.xml Mail_Mime-%{version}
cd Mail_Mime-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install -R "$RPM_BUILD_ROOT" package.xml
%__rm -rf "$RPM_BUILD_ROOT"/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

%clean
%__rm -rf %{BuildRoot}

%files
%defattr(-, root, root)
%{peardir}/data/Mail_Mime
%{peardir}/Mail/mime*

%changelog -n php4-pear-mail_mime
* Sat Jun 17 2006 - Marcus Hüwe <suse-tux@gmx.de>
- made spec file portable for older/new suse-versions
- removed #usedforbuild, added %clean-macro
- added rpmmacros (changed "mv" to "%__mv" etc.)
- removed Packager-tag :)
* Sun Jun 11 2006 Marcus Hüwe <suse-tux@gmx.de>
- built for 10.0 because it's missing there
- added Packager-tag
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mmarek@suse.de
- fix filelist, remove temporary files created by pear installer
- unify php5-pear-*.spec files
- increase php's memory_limit during installation (parsing
  xml needs more than default 8M sometimes)
* Mon Jan 16 2006 - mmarek@suse.cz
- created package to satisfy horde dependencies
